> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob Object List

> Diese Dokumentation bietet einen umfassenden Überblick über den GET /v1/objects-Endpoint der SquareCloud Blob API.

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  Der API-Schlüssel für Ihr Konto. Sie finden ihn in Ihren [Kontoeinstellungen](https://squarecloud.app/de/account/security).
</ParamField>

<ParamField query="prefix" type="string" placeholder="File Prefix">
  Eine Zeichenkette, die den Präfix für die Datei darstellt.<br />Muss dem Muster a bis z, A bis Z, 0 bis 9 und \_ entsprechen. (3 bis 32 Zeichen)
</ParamField>

<ParamField query="continuationToken" type="string" placeholder="Continuation Token">
  Eine Zeichenkette, die das Continuation-Token für die Dateiliste darstellt. (1000 Objekte pro Seite)
</ParamField>

### Antwort

<ResponseField name="status" type="string">
  Gibt an, ob der Aufruf erfolgreich war. "success" bei Erfolg, "error" bei Misserfolg.
</ResponseField>

<ResponseField name="response" type="object">
  <Expandable title="Objekt umschalten">
    <ResponseField name="objects" type="array">
      <Expandable title="Objekt umschalten">
        <ResponseField name="id" type="string">
          Die ID des Objekts.
        </ResponseField>

        <ResponseField name="size" type="integer">
          Die Größe des Objekts in Bytes.
        </ResponseField>

        <ResponseField name="created_at" type="ISO 8601">
          Das Datum und die Uhrzeit, zu der das Objekt erstellt wurde.
        </ResponseField>

        <ResponseField name="expires_at" type="ISO 8601">
          Das Datum und die Uhrzeit, zu der das Objekt abläuft.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="continuationToken" type="string">
      Token zum Abrufen der nächsten Seite; übergib es erneut als `continuationToken`-Query-Parameter. `null` oder nicht vorhanden, wenn es keine weiteren Objekte gibt.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Response - [30s cache] theme={null}
  {
    "status": "success",
    "response": {
      "objects": [
        {
          "id": "ID/name1_ltq7b2sw-de6241.jpeg",
          "size": 78266,
          "created_at": "2024-03-13T19:31:28.776Z"
        },
        {
          "id": "ID/name_ltq7b2sw-de6243-ex1.jpeg",
          "size": 90466,
          "created_at": "2024-03-13T19:35:28.776Z",
          "expires_at": "2024-03-14T19:35:28.776Z"
        }
      ],
      "continuationToken": null
    }
  }
  ```
</ResponseExample>

### Fehlerbehebung

<Tabs>
  <Tab title="Statuscode 400">
    ### Objektbezogen

    <CodeGroup>
      ```json INVALID_PREFIX theme={null}
      // The provided object prefix is invalid.
      // Must adhere to the a to z, A to Z, 0 to 9, and _ pattern.
      {
          "status": "error",
          "code": "INVALID_OBJECT_PREFIX"
      }
      ```

      ```json INVALID_CONTINUATION_TOKEN theme={null}
      // The provided continuation token is invalid (must be a string up to 2048 characters).
      {
          "status": "error",
          "code": "INVALID_CONTINUATION_TOKEN"
      }
      ```

      ```json FAILED_LIST theme={null}
      // The request to list the objects failed. Please try again.
      {
          "status": "error",
          "code": "FAILED_LIST"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Statuscode 401">
    ### Nicht autorisiert

    <CodeGroup>
      ```json ACCESS_DENIED theme={null}
      // The API key is missing or invalid. Set a valid key in the Authorization header.
      {
          "status": "error",
          "code": "ACCESS_DENIED"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Statuscode 429">
    ### Rate-Limit erreicht

    <CodeGroup>
      ```json RATELIMIT theme={null}
      // List rate limit reached (10 requests per 30s window).
      {
          "status": "error",
          "code": "RATELIMIT"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>
